% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/star_database.R
\name{get_table_names}
\alias{get_table_names}
\alias{get_table_names.star_database}
\title{Get the names of the tables of a star database}
\usage{
get_table_names(db)

\method{get_table_names}{star_database}(db)
}
\arguments{
\item{db}{A \code{star_database} object.}
}
\value{
A vector of strings, table names.
}
\description{
Obtain the names of the tables of a star database.
}
\examples{

names <- star_database(mrs_cause_schema, ft_num) |>
  get_table_names()

}
\seealso{
\code{\link{as_tibble_list}}, \code{\link{as_dm_class}}

Other star database definition functions: 
\code{\link{get_dimension_names}()},
\code{\link{get_fact_names}()},
\code{\link{group_dimension_instances}()},
\code{\link{role_playing_dimension}()},
\code{\link{star_database}()}
}
\concept{star database definition functions}
